{{#supportPython2}}
FROM python:2-alpine
{{/supportPython2}}
{{^supportPython2}}
FROM python:3.6-slim-jessie
{{/supportPython2}}

RUN mkdir -p /usr/src/app
RUN mkdir -p /root/.config/pip
WORKDIR /usr/src/app

RUN echo '[global]\n\
extra-index-url = {{repositoryUrl}}/repository/{{repositoryPythonName}}' >> /root/.config/pip/pip.conf

COPY . /usr/src/app

{{#supportPython2}}
RUN pip install .
{{/supportPython2}}
{{^supportPython2}}
RUN pip3 install .
{{/supportPython2}}

RUN pip install connexion[swagger-ui]

EXPOSE 8080

{{#supportPython2}}
ENTRYPOINT ["python"]
{{/supportPython2}}
{{^supportPython2}}
ENTRYPOINT ["python3"]
{{/supportPython2}}

CMD ["./launcher.py"]